# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'android_drawable_resizer/version'

Gem::Specification.new do |spec|
  spec.name          = "android_drawable_resizer"
  spec.version       = AndroidDrawableResizer::VERSION
  spec.authors       = ["Rubén Illodo Brea"]
  spec.email         = ["rubenillodobrea@gmail.com"]
  spec.summary       = %q{Automatically scales your highest density Android drawable resources for all the lower densities.}
  spec.description   = %q{You can work with icons only in the highest density (xxxhpdi, for example) and let the ‘adr’ command take care of resizing them for all the densities from ldpi to xxhdpi.}
  spec.homepage      = "https://github.com/rulych/android_drawable_resizer"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = ["adr"]
  spec.test_files    = ["spec"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 10.3"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_runtime_dependency "rmagick", "~> 2.13"
  spec.add_runtime_dependency "fileutils", "~> 0.7"
  spec.add_runtime_dependency "colorize", "~> 0.7"
end
