require 'spec_helper'

describe BestDensityFinder do

  describe '.search_in' do
    context 'when invalid directory passed'do
      context 'when directory is nil' do
        it 'raises error' do
          expect{ BestDensityFinder.search_in(nil) }.to raise_error
        end
      end

      context 'when directory is string' do
        it 'raises error' do
          expect{ BestDensityFinder.search_in('aaa') }.to raise_error
        end
      end
    end

    context 'when proper directory passed' do
      context 'when no density-specific drawable directory exists' do
        it 'returns nil' do
          result = BestDensityFinder.search_in('spec/assets/res_empty')
          expect(result).to eq(nil)
        end
      end

      context 'when density-specific drawable directory exists' do
        it 'returns higher density' do
          result = BestDensityFinder.search_in('spec/assets/res')
          expect(result).to eq(:xxhdpi)
        end
      end
    end

  end

end
