require 'spec_helper'

describe ImageResizer do

  describe '.resize_to' do

    context 'when invalid image passed' do
      it 'raises an error' do
        expect{ ImageResizer.new(nil, :xxxhdpi).resize_to(:xxhdpi) }.to raise_error
      end
    end

    context 'when valid image passed' do
      let(:resizer) { ImageResizer.new('spec/assets/ic_clock.png', :xxxhdpi) }

      it 'returns a Magick::Image object' do
        resized_img = resizer.resize_to(:xxhdpi)
        expect(resized_img).to be_an_instance_of(Magick::Image)
      end

      it 'properly scales a given image' do
        inital_size = resizer.image.rows

        resized_img = resizer.resize_to(:xxhdpi)
        resized_size = resized_img.rows

        expected_size = inital_size * 0.75
        expect(resized_size).to eq(expected_size)
      end
    end

  end

end
