require 'spec_helper'

describe ResourcesLister do

  describe '.resources_in' do

    context 'when invalid dir passed' do
      it 'raises error' do
        expect{ ResourcesLister.resources_in('asdas') }.to raise_error
      end
    end

    context 'when valid dir passed' do
      context 'when no valid resource inside dir' do
        it 'returns empty array' do
          dir = 'spec/assets/res/drawable-xhdpi'
          result = ResourcesLister.resources_in(dir)
          expect(result).to eq([])
        end
      end

      context 'when valid resources inside dir' do
        let(:dir) { 'spec/assets/res/drawable-xxhdpi' }

        it 'returns array of resources’ names' do
          result = ResourcesLister.resources_in(dir)
          expect(result).to eq([ 'ic_hamburger.png' ])
        end

        context 'when block given' do
          it 'executes block on correct execution dir' do
            block_dir = false
            ResourcesLister.resources_in(dir) { block_dir = Dir.pwd }
            expect(block_dir).to eq("#{Dir.pwd}/#{dir}")
          end
        end
      end
    end

  end

end
